#include <avr/io.h>
#include <stdint.h>
#include <avr/interrupt.h>


#define DMX_CHANNELS    (2)					//use at least 2ch
#define F_OSC			(8000)		  		//oscillator freq. in kHz (typical 8MHz or 16MHz)

volatile uint8_t	 DmxField[DMX_CHANNELS]; //array of DMX vals (raw)
volatile uint16_t	 DmxAddress =5;			//start address    (5 zum testen)

extern void init_dmx(void);
extern void get_byte(void);


int main(void)
{

cli();
DDRD |= (1<<PD7);					//red LED pin is output
init_dmx();
sei();
for(;;)
	{

	if (DmxField[0] >= 127)			//enable LED if 1st DMX val is >127
		{
		PORTD &= ~(1<<PD7);			//LED ON
		}
	else
		{
		PORTD |= (1<<PD7);			//LED OFF
		}
	}
}

ISR(UART_RX_vect)
{
get_byte();   
}
